# Uses of Class
org.springframework.jmx.MBeanServerNotFoundException

Packages that use MBeanServerNotFoundException
Package
Description
org.springframework.jmx.access
Provides support for accessing remote MBean resources.
org.springframework.jmx.support
Contains support classes for connecting to local and remote `MBeanServer`s and for exposing an `MBeanServer` to remote clients.

## Uses of MBeanServerNotFoundException in org.springframework.jmx.access

Methods in org.springframework.jmx.access that throw MBeanServerNotFoundException
Modifier and Type
Method
Description
`void`
MBeanProxyFactoryBean.`afterPropertiesSet()`
Checks that the `proxyInterface` has been specified and then generates the proxy for the target MBean.

## Uses of MBeanServerNotFoundException in org.springframework.jmx.support

Methods in org.springframework.jmx.support that throw MBeanServerNotFoundException
Modifier and Type
Method
Description
`void`
MBeanServerFactoryBean.`afterPropertiesSet()`
Creates the `MBeanServer` instance.
`static MBeanServer`
JmxUtils.`locateMBeanServer()`
Attempt to find a locally running `MBeanServer`.
`static MBeanServer`
JmxUtils.`locateMBeanServer(String agentId)`
Attempt to find a locally running `MBeanServer`.
`protected MBeanServer`
MBeanServerFactoryBean.`locateMBeanServer(String agentId)`
Attempt to locate an existing `MBeanServer`.